Searching txt.sour.is

Twts matching #media
Sort by: Newest, Oldest, Most Relevant

Les médias nous baratinent de plus en plus
Juillet et août, mois douillettement placés sous la chaleur de l’été, sont traditionnellement propices aux sujets plus légers dans l’actualité : les petits reportages balnéaires succèdent normalement aux recettes de salades et autres barbecues goûtus pendant que le farniente gagne doucement les salles de rédaction. Manque de chance, cette année n’a pas permis aux journalistes de […] ⌘ Read more

⤋ Read More

RT by @mind_booster: A complacência com que tratamos empresas monopolistas deixa-me sem palavras para qualificar estas práticas. Isto viola quase todas as regras de concorrência e boas práticas de mercado. href=”https://txt.sour.is/search?q=%23microsoft”>#microsoft**
A complacência com que tratamos empresas monopolistas deixa-me sem palavras para qualificar estas práticas. Isto viola quase todas as regras de concorrência e boas práticas de mercado. #microsoft

![](https://nitter.net/pic/media%2FFZzK-pbXoAEoeJp. … ⌘ Read more

⤋ Read More
In-reply-to » Kids are in bed, dog is sleeping, Marlyn is watching Tv, and I'm on the computer trying to figure out what to do for the rest of the night. Last week of vacation now, so I get more and more interrested in doing things on the computer. Played around a bit with my Risc-v SBC today (Mangopi), it runs debian, got everything updated and all that, thinking about setting up a webserver on it. It has 512mb ram, so it should be fine to host some static website on it.

@prologic@twtxt.net
https://mangopi.cc/mangopi_mqpro
Search for it on amazon.

Image

⤋ Read More

Hi, I am playing with making an event sourcing database. Its super alpha but I thought I would share since others are talking about databases and such.

It’s super basic. Using tidwall/wal as the disk backing. The first use case I am playing with is an implementation of msgbus. I can post events to it and read them back in reverse order.

I plan to expand it to handle other event sourcing type things like aggregates and projections.

Find it here: sour-is/ev

@prologic@twtxt.net @movq@www.uninformativ.de @lyse@lyse.isobeef.org

⤋ Read More

Hi, I am playing with making an event sourcing database. Its super alpha but I thought I would share since others are talking about databases and such.

It’s super basic. Using tidwall/wal as the disk backing. The first use case I am playing with is an implementation of msgbus. I can post events to it and read them back in reverse order.

I plan to expand it to handle other event sourcing type things like aggregates and projections.

Find it here: sour-is/ev

@prologic@twtxt.net @movq@www.uninformativ.de @lyse@lyse.isobeef.org

⤋ Read More

RT by @mind_booster: A Brief History of the More Than 30 Formats Music Has Officially Been Released On, including my new favorites, the Tefifon and the Sabamobil. https://loudwire.com/music-formats-history-streaming-cd-tape-vinyl/
A Brief History of the More Than 30 Formats Music Has Officially Been Released On, including my new favorites, the Tefifon and the Sabamobil. loudwire.com/music-formats-h…

![](https://nitter.net/pic/media%2FF … ⌘ Read more

⤋ Read More
In-reply-to » I launched a new version of my website (https://kolesnikov.se) last night. What do you think about it? Don't forget to leave a message in my guestbook ;-)

@win0err@kolesnikov.se I agree with @prologic@twtxt.net about the text size. Adding content="width=device-width" to your viewport meta tag will help massively with scaling on different device widths.

Eg. The first screenshot is the current site with a device width of 440px and the second is with the updated viewport meta tag.


Other than that, I like the aesthetic of it 😊 It gives me early-ish internet vibes, which I wasn’t online for (I’m a ‘90s baby) but I’ve seen some pretty early websites.

⤋ Read More

**RT by @mind_booster: My latest @locusmag column is “The Swerve,” a short essay about the shape that hope takes when happy endings are off the table:

https://locusmag.com/2022/07/cory-doctorow-the-swerve/ 1/**
My latest @locusmag column is “The Swerve,” a short essay about the shape that hope takes when happy endings are off the table:

locusmag.com/2022/07/cory-do… 1/

![](https://nitter.net/pic/media%2FFW6b … ⌘ Read more

⤋ Read More

Violence against women in China: outrage over video of furious attack by teen boy on secondary schoolgirl classmate after a board game dispute
A wave of public outrage has spread across social media in mainland China after the emergence of a graphic video of a boy violently attacking a female secondary school classmate. ⌘ Read more

⤋ Read More

Woman’s anger over topless hospital X-ray by male doctor who got a week suspension starts heated debate in China and her post gets 130 million views
A woman asked to remove her clothes for an X-ray exam with a male radiologist says she felt violated and complained and then posted about the incident on social media. ⌘ Read more

⤋ Read More

China’s world’s factory tag threatened by Vietnam, but ‘there’s nothing to worry about’, analysts say
Vietnam’s first quarter exports reached US$88.58 billion, up by 12.9 per cent from the previous year, with Chinese state media comparing the shipments in the first three months of the year to China’s main export hub of Shenzhen. ⌘ Read more

⤋ Read More

Coronavirus: Is North Korea getting ready to declare victory over Covid-19?
Pyongyang only acknowledged that it had a coronavirus outbreak last month. Yet state media claims cases are already plummeting and says just 73 people have died – a widely disputed fatality rate of 0.002 per cent, the lowest in the world. ⌘ Read more

⤋ Read More

SCMP picks Catherine So as chief executive, tapping Hong Kong media and tech veteran to run one of Asia’s oldest English newspapers
Liu, who has led the newspaper for five and half years, fundamentally transformed one of Asia’s oldest newspapers into a 21st-century information product that reacted to news events and responded to readers’ preferences in real time. ⌘ Read more

⤋ Read More

China parenting: rock star Zheng Jun in child abuse scandal claims son’s 1,000 kowtow ‘punishment’ was ‘Buddhist ritual’
A Chinese rock star who punished his son by offering him the choice of sitting in an uncomfortable position for an hour or being physically beaten and then recorded the incident and posted it on social media is under fire for alleged child abuse. ⌘ Read more

⤋ Read More

Foi então hoje, enquadrado no festival literário “Lamego Cidade Poema”, o lançamento da colectânea “Lamego 2022, o Antes e o Depois”, na qual participei com um pequeno conto de Ficção Científica.
Foi então hoje, enquadrado no festival literário “Lamego Cidade Poema”, o lançamento da colectânea “Lamego 2022, o Antes e o Depois”, na qual participei com um pequeno conto de Ficção Científica.

Image

Image

![](https … ⌘ Read more

⤋ Read More

**RT by @mind_booster: Cai a máscara ao governo PS!
Em resposta ao PCP Ministro da Cultura afirma: «Não é desejável acabar com precariedade na Cultura»

Diana Ferreira, deputada do PCP responde: +**
Cai a máscara ao governo PS!

Em resposta ao PCP Ministro da Cultura afirma: «Não é desejável acabar com precariedade na Cultura»

Diana Ferreira, deputada do PCP responde: +

Image

Read more

⤋ Read More

Elon Musk Offers To Buy Twitter For $41 Billion
Billionaire Elon Musk has offered to buy Twitter for about $41 billion, just days after rejecting a seat on the social media company’s board. From a report: Musk’s offer price of $54.20 per share, which was disclosedin a regulatory filing on Thursday, represents a 38% premium to Twitter’s April 1 close, the last trading day before the Tesla CEO’s more than 9% stake in the company … ⌘ Read more

⤋ Read More

@prologic@twtxt.net

#!/bin/sh

# Validate environment
if ! command -v msgbus > /dev/null; then
    printf "missing msgbus command. Use:  go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
    exit 1
fi

if ! command -v salty > /dev/null; then
    printf "missing salty command. Use:  go install go.mills.io/salty/cmd/salty@latest"
    exit 1
fi

if ! command -v salty-keygen > /dev/null; then
    printf "missing salty-keygen command. Use:  go install go.mills.io/salty/cmd/salty-keygen@latest"
    exit 1
fi

if [ -z "$SALTY_IDENTITY" ]; then
    export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi

get_user () {
    user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
    if [ -z "$user" ]; then
        user="$USER"
    fi
    echo "$user"
}

stream () {
    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}

lookup () {
    if [ $# -lt 1 ]; then
    printf "Usage: %s nick@domain\n" "$(basename "$0")"
    exit 1
    fi

    user="$1"
    nick="$(echo "$user" | awk -F@ '{ print $1 }')"
    domain="$(echo "$user" | awk -F@ '{ print $2 }')"

    curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}

readmsgs () {
    topic="$1"

    if [ -z "$topic" ]; then
        topic=$(get_user)
    fi

    export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
    if [ ! -f "$SALTY_IDENTITY" ]; then
        echo "identity file missing for user $topic" >&2
        exit 1
    fi

    msgbus sub "$topic" "$0"
}

sendmsg () {
    if [ $# -lt 2 ]; then
        printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
        exit 0
    fi

    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    user="$1"
    message="$2"

    salty_json="$(mktemp /tmp/salty.XXXXXX)"

    lookup "$user" > "$salty_json"

    endpoint="$(jq -r '.endpoint' < "$salty_json")"
    topic="$(jq -r '.topic' < "$salty_json")"
    key="$(jq -r '.key' < "$salty_json")"

    rm "$salty_json"

    message="[$(date +%FT%TZ)] <$(get_user)> $message"

    echo "$message" \
        | salty -i "$SALTY_IDENTITY" -r "$key" \
        | msgbus -u "$endpoint" pub "$topic"
}

make_user () {
    mkdir -p "$HOME/.config/salty"

    if [ $# -lt 1 ]; then
        user=$USER
    else
        user=$1
    fi

    identity_file="$HOME/.config/salty/$user.key"

    if [ -f "$identity_file" ]; then
        printf "user key exists!"
        exit 1
    fi

    # Check for msgbus env.. probably can make it fallback to looking for a config file?
    if [ -z "$MSGBUS_URI" ]; then
        printf "missing MSGBUS_URI in environment"
        exit 1
    fi


    salty-keygen -o "$identity_file"
    echo "# user: $user" >> "$identity_file"

    pubkey=$(grep key: "$identity_file" | awk '{print $4}')

    cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json

{
  "endpoint": "$MSGBUS_URI",
  "topic": "$user",
  "key": "$pubkey"
}

EOF
}

# check if streaming
if [ ! -t 1 ]; then
    stream
    exit 0
fi

# Show Help
if [ $# -lt 1 ]; then
    printf "Commands: send read lookup"
    exit 0
fi


CMD=$1
shift

case $CMD in
    send)
        sendmsg "$@"
    ;;
    read)
        readmsgs "$@"
    ;;
    lookup)
        lookup "$@"
    ;;
    make-user)
        make_user "$@"
    ;;
esac

⤋ Read More

@prologic@twtxt.net

#!/bin/sh

# Validate environment
if ! command -v msgbus > /dev/null; then
    printf "missing msgbus command. Use:  go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
    exit 1
fi

if ! command -v salty > /dev/null; then
    printf "missing salty command. Use:  go install go.mills.io/salty/cmd/salty@latest"
    exit 1
fi

if ! command -v salty-keygen > /dev/null; then
    printf "missing salty-keygen command. Use:  go install go.mills.io/salty/cmd/salty-keygen@latest"
    exit 1
fi

if [ -z "$SALTY_IDENTITY" ]; then
    export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi

get_user () {
    user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
    if [ -z "$user" ]; then
        user="$USER"
    fi
    echo "$user"
}

stream () {
    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}

lookup () {
    if [ $# -lt 1 ]; then
    printf "Usage: %s nick@domain\n" "$(basename "$0")"
    exit 1
    fi

    user="$1"
    nick="$(echo "$user" | awk -F@ '{ print $1 }')"
    domain="$(echo "$user" | awk -F@ '{ print $2 }')"

    curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}

readmsgs () {
    topic="$1"

    if [ -z "$topic" ]; then
        topic=$(get_user)
    fi

    export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
    if [ ! -f "$SALTY_IDENTITY" ]; then
        echo "identity file missing for user $topic" >&2
        exit 1
    fi

    msgbus sub "$topic" "$0"
}

sendmsg () {
    if [ $# -lt 2 ]; then
        printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
        exit 0
    fi

    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    user="$1"
    message="$2"

    salty_json="$(mktemp /tmp/salty.XXXXXX)"

    lookup "$user" > "$salty_json"

    endpoint="$(jq -r '.endpoint' < "$salty_json")"
    topic="$(jq -r '.topic' < "$salty_json")"
    key="$(jq -r '.key' < "$salty_json")"

    rm "$salty_json"

    message="[$(date +%FT%TZ)] <$(get_user)> $message"

    echo "$message" \
        | salty -i "$SALTY_IDENTITY" -r "$key" \
        | msgbus -u "$endpoint" pub "$topic"
}

make_user () {
    mkdir -p "$HOME/.config/salty"

    if [ $# -lt 1 ]; then
        user=$USER
    else
        user=$1
    fi

    identity_file="$HOME/.config/salty/$user.key"

    if [ -f "$identity_file" ]; then
        printf "user key exists!"
        exit 1
    fi

    # Check for msgbus env.. probably can make it fallback to looking for a config file?
    if [ -z "$MSGBUS_URI" ]; then
        printf "missing MSGBUS_URI in environment"
        exit 1
    fi


    salty-keygen -o "$identity_file"
    echo "# user: $user" >> "$identity_file"

    pubkey=$(grep key: "$identity_file" | awk '{print $4}')

    cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json

{
  "endpoint": "$MSGBUS_URI",
  "topic": "$user",
  "key": "$pubkey"
}

EOF
}

# check if streaming
if [ ! -t 1 ]; then
    stream
    exit 0
fi

# Show Help
if [ $# -lt 1 ]; then
    printf "Commands: send read lookup"
    exit 0
fi


CMD=$1
shift

case $CMD in
    send)
        sendmsg "$@"
    ;;
    read)
        readmsgs "$@"
    ;;
    lookup)
        lookup "$@"
    ;;
    make-user)
        make_user "$@"
    ;;
esac

⤋ Read More

INTERFERENCE: Freeland’s office “pressured” legacy media to change critical stories

Image

Today on the Candice Malcolm Show, Candice is joined by Rachel Emmanuel, who recounts the story and talks about the fundamental problems facing the media and why trust in journalists is at an all time low. ⌘ Read more

⤋ Read More

Why everyone should be concerned about Ontario’s critical race theory bill

Image

A new bill likely to be passed by Ontario’s legislature is seeking to enshrine critical race theory and its associated beliefs and practices in law. Bill 67, otherwise known as the Racial Equity in the Education System Act, was first proposed by NDP MPP Laura Mae Lindo in 2021. ⌘ Read more

⤋ Read More

First Nations chief warns MPs as Emergencies Act inquiry begins

Image

Parliamentarians convened a first-of-its-kind inquiry into Prime Minister Justin Trudeau’s use of the Emergencies Act on Monday, the same day the Assembly of First Nations national chief expressed concerns over the act’s ability to label activists as criminals. ⌘ Read more

⤋ Read More

Conservative leadership race turns nasty between Poilievre and Brown

Image

As the leadership race for the Conservative Party of Canada (CPC) deepens, candidates Pierre Poilievre and Patrick Brown have started butting heads hard. The furor seems to have started when political adviser Jenni Byrne, who is currently working on Poilievre’s campaign, released an attack ad against Brown on Sunday. The two-minute ad … ⌘ Read more

⤋ Read More